<template>
  <div>
    <h1>Password Manager</h1>
    <h2>Create Account</h2>

    <form @submit.prevent="register">
      <input type="text" id="username" placeholder="Username" v-model="username">
      <input type="password" id="password" placeholder="Password" v-model="password">
      <div class="card">
        <button @click="register" type="submit" id="registerButton">Register</button>
      </div>
    </form>

    <div id="result" style="color: red;">{{ registerResult }}</div>
  </div>
</template>

<script setup>
import { ref } from 'vue';
import router from "../router/router.js";

const username = ref('');
const password = ref('');
const registerResult = ref('');

const register = async () => {
  const formData = {
    username: username.value,
    password: password.value
  };

  try {
    const response = await fetch("http://localhost:8080/api/register", {
      method: "POST",
      headers: {
        "Content-Type": "application/json"
      },
      body: JSON.stringify(formData)
    });

    registerResult.value = await response.text();
    if(registerResult.value === "Account Created!") {
      await router.push('/login');
    }
        } catch (error) {
    registerResult.value = "An error occurred." + error;
    console.error("Error:", error);
  }
};
</script>